/*
Import the required class to make a test.

Test class is the constructor to create test instances.
*/
const { Test } = require('./index'); 


/*
Import the api or to test using test-builder.
*/

let ApiTest = new Test(
    'someAPI', // Sets the name of the test, shown in the first scope label.
    true, // Determines if values are shown in the detail.
    undefined // The theme configuration determining the layout of the output. See 'Themes'.
);

ApiTest.test(
    true, // Detail, same as in the Test class, but overrides the parent.
    'Random-Emoji', // Name of the sub-test displayed in the second scope.
    'A random emoji api.' // The description displayed after 'failure' or 'success' in the console.
).notEqual( // Function to test if two or more values are not all the same.
    'a', // Get random emote from some api.
    'b' // Get another random emote.
);
/*
The test would have tested if the emotes are random, which means there is only a small test of being equal.
*/

ApiTest.test(
    true, // Detail, same as in the Test class, but overrides the parent.
    'Alphabet', // Name of the sub-test displayed in the second scope.
    'Get first letter of alphabet.' // The description displayed after 'failure' or 'success' in the console.
).equals( // Function to test if two or more values are equivelent.

    'b', // Get 1st letter of the alphabet, in this example it is supposed to be 1 for first.
    'a' // First letter of the alphabet

);
/*
In this example, 'someAPI.nthOfAlphabet' was 0-based instead of starting at one, causing it to fail the test.
*/